# Examples

## Fruit Stand

This is our canonical starter demo. If you haven't used Pachyderm before, start here. We'll get you started running Pachyderm locally in just a few minutes and processing sample log lines. 

[Fruit Stand](http://pachyderm.readthedocs.io/en/latest/getting_started/beginner_tutorial.html)

## Open CV

Edge detection using OpenCV on whatever images you want. More interesting than the beginner tutorial, but still great for running locally in minikube and understanding intermediate-level Pachyderm topics. 

[Open CV](https://github.com/pachyderm/pachyderm/tree/master/doc/examples/opencv)

## Web Scraper

Using ``wget`` to build a distrbuted web scraper. Scraping is such a common task that we wanted to give you a simple example just in Shell. 

[Web Scraper](https://github.com/pachyderm/pachyderm/tree/master/doc/examples/scraper)

## Word Count

Word count is basically the "hello world" of distributed computation. This example is great for benchmarking in distributed deployments on large swaths of text data. 

[Word Count](https://github.com/pachyderm/pachyderm/tree/master/doc/examples/word_count)


## Tensor Flow

Use Tensorflow to build a neural net that analyzes Game of Thrones scripts and produces new lines for characters. This is a great advanced example if you want to learn about the intricacies of Pachyderm and ML workflows -- and you get a really cool output!

[Tensor Flow](https://github.com/pachyderm/pachyderm/tree/master/doc/examples/tensor_flow)

