## ./pachctl put-file

Put a file into the filesystem.

### Synopsis


Put-file supports a number of ways to insert data into pfs:
Put data from stdin as repo/commit/path:
	echo "data" | pachctl put-file repo commit path

Start a new commmit on branch, put data from stdin as repo/branch/path and
finish the commit:
	echo "data" | pachctl put-file -c repo branch path

Put a file from the local filesystem as repo/commit/path:
	pachctl put-file repo commit path -f file

Put a file from the local filesystem as repo/commit/file:
	pachctl put-file repo commit -f file

Put the contents of a directory as repo/commit/path/dir/file:
	pachctl put-file -r repo commit path -f dir

Put the contents of a directory as repo/commit/dir/file:
	pachctl put-file -r repo commit -f dir

Put the data from a URL as repo/commit/path:
	pachctl put-file repo commit path -f http://host/url_path

Put the data from a URL as repo/commit/url_path:
	pachctl put-file repo commit -f http://host/url_path

Put several files or URLs that are listed in file.
Files and URLs should be newline delimited.
	pachctl put-file repo commit -i file


```
./pachctl put-file repo-name commit-id path/to/file/in/pfs
```

### Options

```
  -c, --commit              Start and finish the commit in addition to putting data.
  -f, --file value          The file to be put, it can be a local file or a URL. (default [-])
  -i, --input-file string   Read filepaths or URLs from a file.  If - is used, paths are read from the standard input.
  -r, --recursive           Recursively put the files in a directory.
```

### Options inherited from parent commands

```
      --log-flush-frequency duration   Maximum number of seconds between log flushes (default 5s)
  -v, --verbose                        Output verbose logs
```

### SEE ALSO
* [./pachctl](./pachctl.md)	 - 

###### Auto generated by spf13/cobra on 12-Sep-2016
